## intel-i915-dkms 1.3

=== intel-i915-1.3/Makefile ===
# needless plumbing necessary for dkms to function correctly

all:
	make -C /lib/modules/$(KVER)/build M=$(shell pwd) modules

clean:
	make -C /lib/modules/$(KVER)/build M=$(shell pwd) clean

=== debian/changelog ===
intel-i915-dkms (1.3) precise; urgency=low

  * modify postinst to make it only apply to v490u/t430u

 -- James Ferguson <james.ferguson@canonical.com>  Thu, 25 Oct 2012 14:43:23 -0400

intel-i915-dkms (1.2) precise; urgency=low

  * remove commit 885a5fb5b120a5c7e0b3baad7b0feb5a89f76c18 - breaks v490u

 -- James Ferguson <james.ferguson@canonical.com>  Thu, 25 Oct 2012 14:40:22 -0400

intel-i915-dkms (1.1) oneiric; urgency=low

  * modify postinst to trigger reboot if installed under volatile-task

 -- James Ferguson <james.ferguson@canonical.com>  Wed, 22 Aug 2012 11:58:21 -0400

intel-i915-dkms (1.0) oneiric; urgency=low

  * Initial release. (Closes: #1033555)

 -- James Ferguson <james.ferguson@canonical.com>  Tue, 21 Aug 2012 14:57:26 -0400

=== debian/control ===
Source: intel-i915-dkms
Section: misc
Priority: optional
Maintainer: Canonical OEM Services <solutions-group@lists.canonical.com>
Build-Depends: debhelper (>= 7.0.50~), dh-modaliases, dkms
Standards-Version: 3.8.4
Vcs-Bzr: bzr+ssh://bazaar.launchpad.net/~oem-solutions-group/sutton/intel-i915/

Package: intel-i915-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
XB-Modaliases: ${modaliases}
Description: intel-i915 driver in DKMS format.

=== intel-i915-1.3/intel-i915-dkms-mkdeb/debian/control ===
Source: DEBIAN_PACKAGE-dkms
Section: misc
Priority: optional
Maintainer: Canonical OEM Services <solutions-group@lists.canonical.com>
Build-Depends: debhelper (>= 7.0.50~), dh-modaliases, dkms
Standards-Version: 3.8.4
Vcs-Bzr: bzr+ssh://bazaar.launchpad.net/~oem-solutions-group/sutton/intel-i915/

Package: DEBIAN_PACKAGE-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
XB-Modaliases: ${modaliases}
Description: DEBIAN_PACKAGE driver in DKMS format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=intel-i915
NAME=intel-i915
VERSION=1.3

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_installchangelogs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
